Skip to content

Get 'Address'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/common/address/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/common/address/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

streetstring, <= 255 characters'^[A-Za-zÀ-ÖØ-öø-ÿ \d\(\)\.\-:’']+$'required
postal_codestring, <= 16 characters'^[A-Za-z0-9 \-]{3,10}$'required
citystring, <= 255 charactersrequired
countrystring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
care_ofstring or null, <= 255 characters'^[A-Za-zÀ-ÖØ-öø-ÿ0-9()/&'#., -]+$'
attentionstring or null, <= 255 characters'^[A-Za-zÀ-ÖØ-öø-ÿ0-9()/&'#., -]+$'
street_numberstring or null, <= 255 characters'^\d+(\d*-\d+)*[A-Za-zÅÄÖåäö]*$'
longitudenumber or null, (float), [ -180 .. 180 ]
latitudenumber or null, (float), [ -90 .. 90 ]
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "care_of": "string", "attention": "string", "street": "string", "street_number": "string", "postal_code": "string", "city": "string", "country": "string", "longitude": -180, "latitude": -90 }